# Class PageTextDirection

#### Hierarchy

- XmlComponent
  - PageTextDirection

- Defined in src/file/document/body/section-properties/properties/page-text-direction.ts:12

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageTextDirection(value: PageTextDirectionType): PageTextDirection

- #### Parameters

  - ##### value: PageTextDirectionType

  #### Returns PageTextDirection

  Overrides XmlComponent.constructor

  - Defined in src/file/document/body/section-properties/properties/page-text-direction.ts:13

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc